Can't update or install software
#1
I installed Arch Linux ARM on my Pinephone. When I go to the software store to update, it seems to know there are updates, but it won't install them. I tried the latest release of Phosh, the latest release of Plasma and the July release of Phosh and they all do basically the same thing. I copied the code I got from the latest version of Plasma for your reference:

$ sudo pacman -Syu

We trust you have received the usual lecture from the local System Administrator. It usually boils down to these three things:

#1) Respect the privacy of others.
#2) Think before you type.
#3) With great power comes great responsibilty.

[sudo] sqassword for alarm:
:: Sychronizing package databases...
pine64     790.0 B 2.00 B/s
pine64         9.0 KiB  18.4 KiB/s
00:00
plasma       789.0  B  2.00  B/s
plasma 16.0 KiB  31.8 KiB/s
00:01
phosh        4.8 KiB  15.0  B/s
phosh 18.3 KiB  35.0  KiB/s
00:01
danctnix        2.1 KiB  6.00  B/s
danctnix        29.4 KiB  52.2  KiB/s
error: failed retrieving file 'core.db' from mirror.archlinuxarm.org : Resolving timed out after 10001 milliseconds
error: failed retrieving file 'extra.db' from mirror.archlinuxarm.org : Resolving timed out after 10000 milliseconds
error: failed retrieving file 'community.db' from mirror.archlinux.org : Resolving timed out after 10000 milliseconds
warning: too many errors from mirror.archlinuxarm.org, skipping for the remainder of this transaction
error: failed retrieving file 'alarm.db' from mirror.archlinuxarm.org : Resolving timed out after 10000 milliseconds
error: failed retrieving file 'aur.db' from mirror.archlinuxarm.org : Connection time-out
error: failed to synchronize all databases (download library error)
[alarm@danctnix ~]$

On initial bootup, in the code that scrolls past I see some errors. I just reinstalled the latest release of Phosh and snapped a pic of the code:

==> Generating pacman master key. This may take some time.
gpg: Generating pacman keyring master key...
[FAILED] Failed to activate swap /dev/zram0. 
[DEPEND] Dependency failed for Swaps
[   13.148714] iio iio:device2: failed to read Who-Am-I register
[FAILED] Failed to activate swap /dev/zram0.
[DEPEND] Dependency failed for Swaps.
gpg: key75880CB9A4EE6B8 marked as ultimately trusted
gpg: directory '/etc/pacman.d/gnupg/openpgp-revocs.d' created
gpg; revocation certificate stored as '/etc/pacman.d/gnupg/openpgp-revocs.d/116F79C5F8AEFD B1EAF3EFB375880CB9A4EEE6B8.rev'
gpg: Done

Any idea what's going on or what I can do to fix it?
  Reply


Messages In This Thread
Can't update or install software - by P3TER - 09-23-2021, 08:17 PM
RE: Can't update or install software - by bcnaz - 09-23-2021, 11:31 PM
RE: Can't update or install software - by P3TER - 09-24-2021, 01:51 AM
RE: Can't update or install software - by bcnaz - 09-24-2021, 08:46 PM
RE: Can't update or install software - by P3TER - 09-24-2021, 09:38 PM
RE: Can't update or install software - by bcnaz - 09-24-2021, 09:48 PM
RE: Can't update or install software - by P3TER - 09-24-2021, 10:00 PM
RE: Can't update or install software - by kqlnut - 09-25-2021, 03:05 AM
RE: Can't update or install software - by kqlnut - 09-23-2021, 11:50 PM
RE: Can't update or install software - by P3TER - 09-24-2021, 04:09 AM
RE: Can't update or install software - by kqlnut - 09-24-2021, 10:30 AM
RE: Can't update or install software - by bcnaz - 09-23-2021, 11:56 PM
RE: Can't update or install software - by P3TER - 09-24-2021, 02:10 PM
RE: Can't update or install software - by P3TER - 09-24-2021, 05:33 PM
RE: Can't update or install software - by kqlnut - 09-24-2021, 06:48 PM
RE: Can't update or install software - by bcnaz - 09-25-2021, 02:17 AM
RE: Can't update or install software - by P3TER - 09-25-2021, 04:03 AM
RE: Can't update or install software - by bcnaz - 09-25-2021, 12:40 PM
RE: Can't update or install software - by P3TER - 09-26-2021, 01:04 AM
RE: Can't update or install software - by bcnaz - 09-26-2021, 03:43 PM
RE: Can't update or install software - by P3TER - 09-26-2021, 05:14 PM
RE: Can't update or install software - by kqlnut - 09-27-2021, 02:19 AM
RE: Can't update or install software - by bcnaz - 11-23-2021, 07:16 PM
RE: Can't update or install software - by P3TER - 12-26-2021, 04:49 PM

Possibly Related Threads…
Thread Author Replies Views Last Post
  Help to execute script to install arch with FDE user641 5 450 07-03-2022, 09:25 PM
Last Post: RTP
  PPKB certain keys not working after kernel update ragreenburg 17 2,532 05-30-2022, 06:36 PM
Last Post: SwordfishII
  How to install dependencies for Gajim? tk1107 13 3,554 03-13-2022, 11:10 PM
Last Post: tk1107
  Last update bricked my pine phone :( lacriz 6 1,490 01-25-2022, 07:52 AM
Last Post: kqlnut
  How to install pamac? tk1107 7 2,105 12-30-2021, 12:13 PM
Last Post: tk1107
  Waydroid on Arch Linux ARM install guide? tk1107 2 2,018 12-23-2021, 10:09 AM
Last Post: tk1107
  Can't install arch-phosh with dd, only with etcher. pineuser0 5 1,785 11-23-2021, 07:32 PM
Last Post: cabbie001
  Trying to install arch with jumpdrive, but jumpdrive isn't booting pineuser0 5 2,093 09-14-2021, 08:59 AM
Last Post: wibble
  How to install Linphone AndyM 0 1,007 06-18-2021, 07:42 AM
Last Post: AndyM
  Latest update broke my cellular 112113101098101077 1 1,365 05-05-2021, 06:41 AM
Last Post: 112113101098101077

Forum Jump:


Users browsing this thread: 2 Guest(s)